Subject: Re: [bug#44208] [PATCH 1/3] gnu: netcdf: Update to 4.7.4.

From: Christopher Baines <[email-masked]>
Date: Mon, 26 Oct 2020 16:06:43 +0000

Ludovic Courtès <[email-masked]> writes:

> Hi,
>
> Christopher Baines <[email-masked]> skribis:
>
>> This will fix an issue building qgis.
>>
>> * gnu/packages/maths.scm (netcdf): Update to 4.7.4.
>> [source]: Remove the netcdf-tst_h_par.patch.
>> [inputs]: Update hdf5 and add curl.
>> * gnu/packages/patches/netcdf-tst_h_par.patch: Delete.
>> * gnu/local.mk (dist_patch_DATA): Remove deleted patch.
>
> Great, the whole series LGTM, thanks!

Cool, I've pushed this as 952c62762d3bc8750dfd61a33b13d19ec9d775f7 now.

> How to find it at <https://data.guix-patches.cbaines.net/>?

I'd always start at Patchwork, so https://patchwork.cbaines.net/ . You
might be able to spot it in the list, but you can also search by
clicking on "Show patches with" in the top left [1].

1: https://patchwork.cbaines.net/project/guix-patches/list/?series=&submitter=&state=&q=44208&archive=&delegate=

There's a few issues with the processing of this series, it was
processed twice, with the first attempt missing a patch. Also, the check
linking to issues.guix.info is broken. I think I've fixed both of the
underlying issues with the relevant scripts now, so these issues should
be fixed for future series.